Bug 435429 - parallel printer and cups-pdf stopped working after update
parallel printer and cups-pdf stopped working after update
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
8
ia64 Linux
low Severity high
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-29 04:56 EST by Frank Cox
Modified: 2008-03-04 04:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-04 04:00:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
PDF file created by cups-pdf (760 bytes, application/pdf)
2008-02-29 04:56 EST, Frank Cox
no flags Details
cups error_log (33.37 KB, application/octet-stream)
2008-02-29 12:20 EST, Frank Cox
no flags Details

  None (edit)
Description Frank Cox 2008-02-29 04:56:32 EST
Description of problem:
After updating one of my computers from cups-1.3.5-3 to cups-1.3.6-2, the
Samsung ML-1210 printer that's attached to it by a parallel port stopped
working.  It does nothing at all when you send it a print job.

Going through system-config-printer and hitting "print test page" brings up a
window that say s"Submitted  Test page submitted as job 79" (the number
increments every time) but nothing prints and the busy light on the printer
never starts flashing so it apparently receives no data.  The button changes
from "print test page" to "Cancel tests" when I close the "submitted" window, so
I click that, and that's all there is to that.  The "Printer state" line on the
screen never changes from "idle".

Going through http://localhost:631 and printing a test page from there says
that the test page was sent, but when I check the list of jobs there are "no
jobs" and the printer never does anything at all there either.

I have removed and reinstalled the ML-1210 printer several times through
system-config-printer but nothing changes.  I have switched the printer off and
back on, and even rebooted the whole computer a couple of times.

Here is what I get in /var/log/cups/error.log when I click the "print test
page" button in system-config-printer:

QUOTE:
I [28/Feb/2008:19:46:22 -0600] [Job 79] Adding start banner page "none".
I [28/Feb/2008:19:46:22 -0600] [Job 79] Adding job file of type
application/postscript. I [28/Feb/2008:19:46:22 -0600] [Job 79] Adding end
banner page "none". I [28/Feb/2008:19:46:22 -0600] [Job 79] Queued on "ML-1210"
by "guest". I [28/Feb/2008:19:46:22 -0600] [Job 79] Started
filter /usr/lib/cups/filter/pstops (PID 3573) I [28/Feb/2008:19:46:22 -0600]
[Job 79] Started filter /usr/lib/cups/filter/foomatic-rip (PID 3574) I
[28/Feb/2008:19:46:22 -0600] [Job 79] Started
backend /usr/lib/cups/backend/parallel (PID 3575) I [28/Feb/2008:19:46:22
-0600] [Job 79] Completed successfully.
END OF QUOTE

Further, if I try to print a document of any length to the
locally-installed CUPS-PDF I get a 760 byte file that's apparently a single
blank page.  I just tried printing a 57-page document to cups-pdf on that
machine and got the same 760 byte pdf file that I get when I print a single
sheet that says "This is a test."

I can print from that computer to a shared HP printer (USB-connected) on a
different computer.  I can also print to that USB-connected printer locally from
the computer that it's attached to.  It is using the same version of cups.

Version-Release number of selected component (if applicable):
cups-1.3.6-2.fc8


How reproducible:
every time

Steps to Reproduce:
1. Print from any application to cups-pdf
or
1. Print to locally connected parallel Samsung ML-1210 printer
  
Actual results:
760 byte pdf file that's a blank page
or
Nothing happens at all.

Expected results:
Larger pdf file containing the text printed
or
Page printed on the Samsung ML-1210

Additional info:
Comment 1 Frank Cox 2008-02-29 04:56:32 EST
Created attachment 296319 [details]
PDF file created by cups-pdf
Comment 2 Tim Waugh 2008-02-29 10:48:05 EST
Please do the following, as root:

1. cupsctl --debug-logging
2. service cups stop
3. >/var/log/cups/error_log
4. service cups start
5. Submit your print job to the locally connecting parallel port printer

Attach the resulting /var/log/cups/error_log file to this bug report, and
confirm that the job did not print.

Thanks.
Comment 3 Frank Cox 2008-02-29 12:20:58 EST
Created attachment 296387 [details]
cups error_log

cups error_log from computer with locally attached parallel printer
Comment 4 Tim Waugh 2008-02-29 12:37:29 EST
D [29/Feb/2008:11:14:43 -0600] [Job 95] foomatic-gswrapper: gs '-dBATCH' '-dPARA
NOIDSAFER' '-dQUIET' '-dNOPAUSE' '-sDEVICE=gdi' '-sOutputFile=/dev/fd/3' '-_' 3>
&1 1>&2
D [29/Feb/2008:11:14:44 -0600] [Job 95] **** Unable to open the initial device, 
quitting.

but then:

D [29/Feb/2008:11:14:44 -0600] PID 13970 (/usr/lib/cups/filter/foomatic-rip)
exited with no errors.

So there are two bad things:

1. gs is failing for some reason yet to be determined
2. (less importantly) foomatic-rip is failing to detect that error

What does 'rpm -q gs' say, and what does 'type gs' say?
Comment 5 Frank Cox 2008-02-29 12:57:09 EST
[frankcox@jeff ~]$ rpm -q gs
package gs is not installed
[frankcox@jeff ~]$ type gs
gs is /usr/bin/gs
[frankcox@jeff ~]$ rpm -q ghostscript
ghostscript-8.61-6.fc8
ghostscript-8.61-6.fc8
Comment 6 Frank Cox 2008-03-03 23:26:05 EST
Today's ghostscript-8.61-8.fc8 update seems to have fixed the problem.  After
installing the update I rebooted the computer and the printer works again.

Thanks ever so much for your assistance, Tim!  I sincerely appreciate it.
Comment 7 Tim Waugh 2008-03-04 04:00:48 EST
That's odd -- there wasn't any fix aimed at this problem...

Oh well, closing.  Please re-open if you see it happen again.

Note You need to log in before you can comment on or make changes to this bug.